Upstream information

CVE-2024-3044 at MITRE

Description

Unchecked script execution in Graphic on-click binding in affected LibreOffice versions allows an attacker to create a document which without prompt will execute scripts built-into LibreOffice on clicking a graphic. Such scripts were previously deemed trusted but are now deemed untrusted.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 7.1
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N
Attack Vector Local
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1224279 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Desktop 15 SP5 libreoffice Affected
SUSE Linux Enterprise Desktop 15 SP6 libreoffice Affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 libreoffice Affected
SUSE Linux Enterprise Module for Package Hub 15 SP6 libreoffice Affected
SUSE Linux Enterprise Server 12 SP5 libreoffice Affected
SUSE Linux Enterprise Server 15 SP5 libreoffice Affected
SUSE Linux Enterprise Server 15 SP6 libreoffice Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libreoffice Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libreoffice Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 libreoffice Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libreoffice Affected
SUSE Linux Enterprise Workstation Extension 12 SP5 libreoffice Affected
SUSE Linux Enterprise Workstation Extension 15 SP5 libreoffice Affected
SUSE Linux Enterprise Workstation Extension 15 SP6 libreoffice Affected
openSUSE Leap 15.5 libreoffice Affected
openSUSE Leap 15.6 libreoffice Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libreoffice Affected
SUSE Linux Enterprise Server 15 SP4 libreoffice Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libreoffice Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 15 libreoffice Affected
SUSE Linux Enterprise Desktop 15 SP1 libreoffice Affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 libreoffice Affected
SUSE Linux Enterprise Server 15 libreoffice Affected
SUSE Linux Enterprise Server 15 SP1 libreoffice Affected
SUSE Linux Enterprise Server for SAP Applications 15 libreoffice Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libreoffice Affected
SUSE Linux Enterprise Workstation Extension 15 libreoffice Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 libreoffice Affected
SUSE Linux Enterprise Workstation Extension 15 SP4 libreoffice Affected


SUSE Timeline for this CVE

CVE page created: Wed May 15 00:00:08 2024
CVE page last modified: Wed Jun 12 16:42:48 2024